Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.uat.relesystest.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"f5945675-8afc-4c9c-b5d0-092f9a0051c4","url":null,"eventId":"c16f52ef-f761-4b8c-815a-1a23081f805a","eventUrl":null,"userId":"dd9a4f02-2acd-45fb-9c57-41f427370348","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"5f2455db-c93e-49bc-9b50-1a96707663dd","fillingUrl":null,"creationDateTime":"2026-10-25T06:20:59.0919393+00:00","lastModifiedDateTime":"2026-10-26T06:20:59.0919393+00:00"},{"id":"0fe21527-9ab8-41d4-bb2e-3ca7e10cbf83","url":null,"eventId":"eea34e7a-f30c-422d-b300-e984400495bd","eventUrl":null,"userId":"61211e31-26c0-421c-af5b-a66ac398863f","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-10-26T06:20:59.0919393+00:00","lastModifiedDateTime":null},{"id":"a767b8d9-a7ea-4604-aa98-69cfe5835bfb","url":null,"eventId":"e4280d31-facf-40a3-8ad7-56639dd7d3a9","eventUrl":null,"userId":"92fd6dd4-55b7-4d68-a20e-29bfccbf07de","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"7109f4ea-c0dd-4ab2-b0df-01975275339f","fillingUrl":null,"creationDateTime":"2026-10-26T06:20:59.0919393+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string